Python
import requests
url = "https://app.langwatch.ai/api/annotations/{id}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/annotations/{id} \
--header 'X-Auth-Token: <api-key>'{
"data": {
"id": "<string>",
"projectId": "<string>",
"traceId": "<string>",
"comment": "<string>",
"isThumbsUp": true,
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>"
}
}{
"error": 123,
"message": "<string>"
}Annotations
Get single annotation
Returns a single annotation based on the ID supplied
GET
/
api
/
annotations
/
{id}
Python
import requests
url = "https://app.langwatch.ai/api/annotations/{id}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/annotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/annotations/{id} \
--header 'X-Auth-Token: <api-key>'{
"data": {
"id": "<string>",
"projectId": "<string>",
"traceId": "<string>",
"comment": "<string>",
"isThumbsUp": true,
"userId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"email": "<string>"
}
}{
"error": 123,
"message": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
ID of annotation to fetch
Response
Annotation response
Show child attributes
Show child attributes
Last modified on March 25, 2026
Was this page helpful?